#ifndef EmecCell_h
#define EmecCell_h

/*! - Class:    EmecCell
      - Author:   Ian Gable (igable@uvic.ca)
      - Date:      05/20/2003
      - Description: EmecCell is a very simple class which currently only stores the adc
                             number  and Value.
      18/05/2005 ML  add default constructor
  */


class EmecCell {

 public:

  /** The default contructor
    */
  EmecCell();

  /** Use this contructor
    *@param adcNumber the number of the acd
    *@param signal the signal contained in cell
    */
  EmecCell(int adcNumber,float signal);

  //! set the signal value
  void signal(float signal){ m_signal = signal; };

  //! get the signal value
  float signal() { return m_signal; };

  //! get the adc number
  int adcNumber(){ return m_adcNumber; };

  //! set the acd number
  void acdNumber(int adcNumber) {m_adcNumber = adcNumber;};

 private:
  int m_adcNumber;
  float m_signal; //ie energy
};
#endif
